<template>
    <div class="slds-box">
        <div class="slds-text-align_center slds-text-heading_medium">New Provider Number</div>
        <hr style="margin-top: 1.2em; margin-bottom: 0.8em;"></hr>
        <template if:true={ReadOnlyPhoneType}>
            <lightning-combobox label="Phone Type" options={PhoneType}></lightning-combobox>
            <lightning-output-field aria-label="Phone Type" field-name="PhoneType" aria-valuetext="PhoneType"></lightning-output-field>
            <lightning-input type="phone" label="Phone Number" value={PhoneNumber} onchange={handleChange}></lightning-input>
            <lightning-input label="Extension" value={Extension} onchange={handleChange}></lightning-input>
        </template>
        <template if:false={ReadOnlyPhoneType}>
            <lightning-combobox options={PhoneType}></lightning-combobox>
            <lightning-input type="phone" label="Phone Number" value={PhoneNumber} onchange={handleChange}></lightning-input>
            <lightning-input label="Extension" value={Extension} onchange={handleChange}></lightning-input>
        </template>
        <hr style="margin-top: 1.2em; margin-bottom: 0.8em;"></hr>
        <lightning-button label="Cancel" onclick={Cancel}></lightning-button>
        <lightning-button variant="brand" label="Save" onclick={Save}></lightning-button>
    </div>
</template>